package org.RI.P2;

import java.util.List;
import java.io.IOException;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.stream.Collectors;

public class Parser {
    private static List<File> files;

    private static void readFiles(String directory) throws IOException {
        files = Files.walk(Paths.get(directory)).filter(Files::isRegularFile).map(Path::toFile)
                .collect(Collectors.toList());
    }

    private static void usage() {
        System.out.println("Usage: Parser <directory>");
        System.out.println("option directory: directory that contains JSON files");
        System.exit(1);
    }

    public static void main(String[] args) throws IOException {
        if (args.length != 1) {
            usage();
        }
        String directory = args[0];
        readFiles(directory);
    }
}
